## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate zune-jpeg

Name:           rust-zune-jpeg
Version:        0.4.13
Release:        %autorelease
Summary:        Fast, correct and safe jpeg decoder

License:        MIT OR Apache-2.0 OR Zlib
URL:            https://crates.io/crates/zune-jpeg
Source:         %{crates_source}
# https://github.com/etemesi254/zune-image/pull/206 (merged)
Source7:        https://github.com/etemesi254/zune-image/raw/24603fe/LICENSE-APACHE
Source8:        https://github.com/etemesi254/zune-image/raw/24603fe/LICENSE-MIT
Source9:        https://github.com/etemesi254/zune-image/raw/24603fe/LICENSE-ZLIB
# Manually created patch for downstream crate metadata changes
# * drop build target for C-ABI shared object
Patch:          zune-jpeg-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A fast, correct and safe jpeg decoder.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%license %{crate_instdir}/LICENSE-ZLIB
%doc %{crate_instdir}/Benches.md
%doc %{crate_instdir}/Changelog.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+log-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+log-devel %{_description}

This package contains library source intended for building other packages which
use the "log" feature of the "%{crate}" crate.

%files       -n %{name}+log-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+neon-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+neon-devel %{_description}

This package contains library source intended for building other packages which
use the "neon" feature of the "%{crate}" crate.

%files       -n %{name}+neon-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+x86-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+x86-devel %{_description}

This package contains library source intended for building other packages which
use the "x86" feature of the "%{crate}" crate.

%files       -n %{name}+x86-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
cp -pav %{SOURCE7} %{SOURCE8} %{SOURCE9} .

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sun Jul 28 2024 Fabio Valentini <decathorpe@gmail.com> - 0.4.13-1
- Update to version 0.4.13; Fixes RHBZ#2299302

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jul 07 2024 Fabio Valentini <decathorpe@gmail.com> - 0.4.11-1
- Initial import (#2292522)
## END: Generated by rpmautospec
